<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Test | English Placement Test</title>
    <link href="style.css" rel="stylesheet">
    <link href="./bootstrap-5.0.2-dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="./bootstrap-5.0.2-dist/js/bootstrap.bundle.min.js"></script>
    <link rel="icon" href="/favicon.ico">
    <link rel="stylesheet" href="print.css" type="text/css" media="print" />
    <script type="text/javascript" src="/eel.js"></script>
    <script type="text/javascript" src="main.js"></script>

    <style>
        body {
            background-image: url("./resource/light-blue-background-gradient-wall-design-vector_111.webp");
            background-repeat: no-repeat;
            background-size: cover;
        }
    </style>
</head>
<body class="vh-100 w-100 px-5 user-select-none" oncontextmenu="return false;" onload="displayScore()">
    <div class="d-flex flex-column align-items-center  w-100 vh-100 app_view">
        <div class="d-flex align-items-end" style="height:40%;font-size:50px;color: #82d0f3;">
            Result
        </div>
        <div class="text-primary" style="height:10%;font-size:50px;font-weight:bold;">
            <span id="score"></span> out of <span id="full_score"></span>
        </div>
        <div class="" style="height:30%;font-size:50px;color: #82d0f3;">
            Thank you
        </div>
        <div class="d-flex justify-content-between w-100 " style="">
            <button class="btn btn-primary fs-5 w-25" type="submit" onclick="continueIfSuccess(true)">ReTest</button>
            <button class="btn btn-primary fs-5 w-25" type="submit" onclick="checkAnswer()">Check Answer</button>
            <button class="btn btn-primary fs-5 w-25" type="submit" onclick="printCertificate()">Print Certificate</button>
        </div>
    </div>

    <div class="print_view w-100 vh-100 p-4 justify-content-between align-items-center" style="display:none;!important">
        <div class="d-flex flex-column w-100">
            <div class="h2 w-100 d-flex justify-content-center bg-dark text-light p-2 mt-5">
                English First Language Institute
            </div>
            <div class="d-flex justify-content-center p-2 fs-5">
                Report of English Placement Test
            </div>
        </div>
        <div class="d-flex flex-column w-100">
            <p>This is to clarify that <span id="user_name"></span> with the following credentials:</p>
            <p class="w-100">
                User Name : <span id="user_name_1"></span>
                <span style="display:inline-block;width:5%!important;"></span>
                Mobile : <span id="user_mobile"></span>
                <span style="display:inline-block;width:5%!important;"></span>
                Email : <span id="user_mail"></span></p>
            <p class="pt-2">has successfully completed the English Placement Test from English First Language Institute</p>
        </div>

        <div class="d-flex flex-column w-100">
            <div class="pt-2 d-flex justify-content-center">
                REPORT
            </div>
            <div class="w-100 d-flex justify-content-center bg-secondary text-dark">
                EF Language Institute English Placement Test
            </div>
            <table class="table table-bordered">
                <tbody>
                    <tr>
                        <td style="width:70%!important">EF Level</td>
                        <td style="width:30%!important" id="ef_level"></td>
                    </tr>
                    <tr>
                        <td style="width:70%!important">Estimated IELTS Score</td>
                        <td style="width:30%!important" id="ielts_score"></td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-bordered">
                <tbody>
                    <tr>
                        <td style="width:70%!important">Reading Comprehensive and Vocabulary</td>
                        <td style="width:30%!important" id="vocabulary_percentage"></td>
                    </tr>
                    <tr>
                        <td style="width:70%!important">Grammar and Structure</td>
                        <td style="width:30%!important" id="grammar_percentage"></td>
                    </tr>
                    <tr>
                        <td style="width:70%!important">General Average</td>
                        <td style="width:30%!important" id="average_percentage"></td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-bordered">
                <tbody>
                    <tr>
                        <td style="width:70%!important">You answered</td>
                        <td style="width:30%!important" id="answered">10 / 60</td>
                    </tr>
                    <tr>
                        <td style="width:70%!important">Correct answers</td>
                        <td style="width:30%!important" id="correct">7 / 10</td>
                    </tr>
                    <tr>
                        <td style="width:70%!important">Incorrect Answers</td>
                        <td style="width:30%!important" id="incorrect">3 / 10</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <div class="d-flex flex-column">
            <p class="my-0">Note: The statement is based on English Placement Test and valid for only a single applicant.</p>
            <p class="my-0">It is valid within the terms and conditions of EF Language Institute.</p>
            <p class="my-0">The applicant should hold the report and not to distribute it.</p>
            <br>
<!--            <p class="my-0">Support : info@english.sssss</p>-->
        </div>

        <div class="w-100 d-flex flex-column align-items-center border-top border-dark mt-5">
            <p class="my-1">Thank you for being with EF Language Institute</p>
            <p class="my-1">Phone: +971 2 642 2251 | Address: Abu Dhabi, United Arab Emirates</p>
            <p class="my-1">Website: www.englishfirst.ae</p>
        </div>
    </div>
</body>
</html>